Wooxy API v.3.0

Get Domain

The Get Domain method allows you to obtain detailed information about a domain.

IMPORTANT Minimum one domain identification (domainId | domain) is required.

Request

POST
https://api.wooxy.com/v3/domain/get

IMPORTANT: Do not send more than 10 concurrent API requests.

Body Example

                                        {
  "domainId": "YOUR_REGISTERED_DOMAIN_ID",
  "domain":   "YOUR_REGISTERED_Domain_NAME"
}
                                    

Parameters

Title Type Default Description

domainId

optional
string

A unique domainId that is already registered in the Wooxy system.

domain

optional
string

A Unique DomainName that is already registered in the Wooxy system.

Response

                                        {
      "result": true,
      "data": {
        "domainId":   "YOUR_DOMAIN_ID",
        "domain":     "YOUR_DOMAIN_NAME",
        "isTrial":  false,
        "createdAt":  "2020-10-02 12:44:03"
      },
      "errors":[]
    }
                                    

Parameters

Title Type Description

result

boolean

The value indicates that the domain was successfully fetched from your account:

  • true: The domain was successfully fetched.

data

object

An array of fetched information.

data.domainId

string

Unique domain ID in the Wooxy system.

data.domain

string

Verified domain name from your Wooxy account.

data.dnsSubdomain

string

Subdomain that will be delegated to Wooxy as your account's technical domain for sending messages, hosting tracking links, and serving branding images.

data.emailVerified

boolean

Information about whether the domain has been verified using domain email.

data.dnsVerified

boolean

Information about whether the domain has been verified using provided DNS records.

data.warmupStatus

integer

Information about whether your domain is on warming: 

  • 1 - yes
  •  0 - no.

data.warmupDay

integer

The warm-up day of the domain. Domain warm-up begins automatically upon domain addition.

data.dnsRecords

array

An array of objects with the necessary DNS records, including all the required data to be added on your side for domain verification.

data.dnsRecords.type

string

The DNS record type that must be added to your domain's DNS settings in your hosting service.

data.dnsRecords.name

string

The DNS record name that must be added to your domain's DNS settings in your hosting service. When adding the record, the name must be exactly as received in the webhook.

data.dnsRecords.value

string

The DNS record value that must be added to your domain's DNS settings in your hosting service. When adding the record, the value must be exactly as received in the response.

data.createdAt

string

Domain creation time in YYYY-MM-DD h:i:s format.

Method Errors

                                        {
    "result": false,
    "data": [],
    "errors": [
        "Error description text"
    ]
}
                                    
Error

“Minimum one unique domain identification (domainId or domain) is required.”

“Domain not found in your account or not verified”

“Invalid authorization token!”

“Internal server error”

“Bad Request”

“No matches found for access token {accessToken}”

“User {id} not enabled”

“No data found for key {userId}”

“Access token check failed for key/secret $key/$accessToken”

“Argument {argument} required”

“Argument ‘domain’ must be a non-empty string”

“Argument ‘domainId’ must be a non-empty string”

Code Examples

PHP
                $accessToken = 'YOUR_API_KEY';
$url  = 'https://api.wooxy.com/v3/domain/get';
$body = json_encode([
    'domainId' => 'YOUR_DOMAIN_ID',
    'domain'   => 'YOUR_DOMAIN_NAME',
]);
/** * Request Example   */
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
//curl_setopt($ch, CURLOPT_HEADER, true);
curl_setopt($ch, CURLOPT_INFILESIZE, null);
curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
curl_setopt($ch, CURLOPT_HTTPHEADER, [ 
    "Access-Token: $accessToken", 
    'Content-Type: application/json', 
    'Content-Length: ' . strlen($body), 
]); 
$result = curl_exec($ch); 
if ($result === false) { 
    echo 'cURL error:' . curl_error($ch) . PHP_EOL;
} else { 
     echo strval($result) . PHP_EOL; 
} 
curl_close($ch);